Subject: bug#22300: 25.1.50; Dired -- renaming folders/files to CamelCase/UPPERCASE/lowercase.

From: Drew Adams <[email-masked]>
Date: Sun, 3 Jan 2016 17:37:37 -0800 (PST)

> > Hm. I'm curious. How do we know that this is not an Emacs bug?
> 
> His description matches something I run into myself all the time, due to
> Emacs's case insensitive filesystem:
> 
>     17:10:45 Vulcan:/tmp $ mv foo Foo
>     mv: ‘foo’ and ‘Foo’ are the same file

Okay.  But (1) he _is_ able to do it using `mv foo Foo', and
(2) MS Windows is also case-insensitive for files and folders,
and I can easily use `R' to rename a directory `foo' to `FOO',
and vice versa.  (Emacs asks me to confirm that I want to rename,
but that's all.)

> > I do not understand why this is his error msg:
> 
> >     Move '/Users/HOME/Desktop/FOO' to '/Users/HOME/Desktop/foo/FOO'
> failed:
> >                               ^^^                          ^^^^^^^
> >       (file-error Renaming Invalid argument
> >        /Users/HOME/Desktop/FOO/Users/HOME/Desktop/foo/FOO)
> 
> Good catch, I hadn't noticed this oddity. Maybe this particular case is a
> real bug.
> 
> > Also, I see from Keith's StackExchange question about this that he is able
> > to use `mv FOO foo' to do the renaming without a problem.
> > http://emacs.stackexchange.com/q/19234/105
> 
> If that's the case, it sounds like a real bug, I'll reopen.

Thanks.